/*
 * Class EV_RICH_TEXT_CONSTANTS_I
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_248 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_248 [] = {0xFF01,1551,247,0xFFFF};
static const EIF_TYPE_INDEX egt_2_248 [] = {0xFF01,247,0xFFFF};
static const EIF_TYPE_INDEX egt_3_248 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_248 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_248 [] = {0xFF01,247,0xFFFF};
static const EIF_TYPE_INDEX egt_6_248 [] = {0xFF01,247,0xFFFF};
static const EIF_TYPE_INDEX egt_7_248 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_248 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_248 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_248 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_248 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_248 [] = {0xFF01,247,0xFFFF};
static const EIF_TYPE_INDEX egt_13_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_14_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_15_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_16_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_17_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_18_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_19_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_20_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_21_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_22_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_23_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_24_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_25_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_26_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_27_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_28_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_29_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_30_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_31_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_32_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_33_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_34_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_35_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_36_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_37_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_38_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_39_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_40_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_41_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_42_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_43_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_44_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_45_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_46_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_47_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_48_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_49_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_50_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_51_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_52_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_53_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_54_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_55_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_56_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_57_248 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_58_248 [] = {0xFF01,924,0xFFFF};


static const struct desc_info desc_248[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_248), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_248), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_248), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_248), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_248), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_248), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_248), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_248), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_248), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_248), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_248), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_248), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01EF /*247*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_248), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_248), 5091, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_248), 5092, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_248), 5093, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_248), 5094, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_248), 5095, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_248), 5096, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_248), 5097, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_248), 5098, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_248), 5099, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_248), 5100, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_248), 5101, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_248), 5102, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_248), 5103, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_248), 5104, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_248), 5105, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_248), 5106, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_248), 5107, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_248), 5108, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_248), 5109, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_248), 5110, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_248), 5111, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_248), 5112, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_248), 5113, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_248), 5114, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5115, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_248), 5116, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5117, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_248), 5118, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5119, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_248), 5120, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5121, 0xFFFFFFFF},
	{EIF_GENERIC(egt_40_248), 5122, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5123, 0xFFFFFFFF},
	{EIF_GENERIC(egt_41_248), 5124, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5125, 0xFFFFFFFF},
	{EIF_GENERIC(egt_42_248), 5126, 0xFFFFFFFF},
	{EIF_GENERIC(egt_43_248), 5127, 0xFFFFFFFF},
	{EIF_GENERIC(egt_44_248), 5128, 0xFFFFFFFF},
	{EIF_GENERIC(egt_45_248), 5129, 0xFFFFFFFF},
	{EIF_GENERIC(egt_46_248), 5130, 0xFFFFFFFF},
	{EIF_GENERIC(egt_47_248), 5131, 0xFFFFFFFF},
	{EIF_GENERIC(egt_48_248), 5132, 0xFFFFFFFF},
	{EIF_GENERIC(egt_49_248), 5133, 0xFFFFFFFF},
	{EIF_GENERIC(egt_50_248), 5134, 0xFFFFFFFF},
	{EIF_GENERIC(egt_51_248), 5135, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 5136, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 5137, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 5138, 0xFFFFFFFF},
	{EIF_GENERIC(egt_52_248), 5139, 0xFFFFFFFF},
	{EIF_GENERIC(egt_53_248), 5140, 0xFFFFFFFF},
	{EIF_GENERIC(egt_54_248), 5141, 0xFFFFFFFF},
	{EIF_GENERIC(egt_55_248), 5142, 0xFFFFFFFF},
	{EIF_GENERIC(egt_56_248), 5143, 0xFFFFFFFF},
	{EIF_GENERIC(egt_57_248), 5144, 0xFFFFFFFF},
	{EIF_GENERIC(egt_58_248), 5090, 0xFFFFFFFF},
};
void Init248(void)
{
	IDSC(desc_248, 0, 247);
	IDSC(desc_248 + 1, 1, 247);
	IDSC(desc_248 + 32, 738, 247);
}


#ifdef __cplusplus
}
#endif
